package com.app.framework.core.support.enums.dict;

import java.lang.annotation.*;

/**
 * 用于标记枚举需转换为字典使用
 */
@Target({ElementType.METHOD,ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface DictEnum {

    /**
     * 字典标识
     */
    String type() default "";

    /**
     * 字典标识名称
     */
    String desc() default "";

}

